Chat9
APIDocuments

Update Url Source Route

Update editable URL source settings.

PATCH
/documents/sources/{source_id}
/documents/sources/{source_id}

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

nameName

scheduleSchedule

exclusionsExclusions

Path Parameters

source_id
Required
Source Id

Format: "uuid"
curl -X PATCH "https://api.getchat9.live/documents/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "schedule": "daily",
    "exclusions": [
      "string"
    ]
  }'

Successful Response

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "url": "string",
  "source_type": "url",
  "status": "string",
  "schedule": "daily",
  "pages_found": 0,
  "pages_indexed": 0,
  "chunks_created": 0,
  "last_crawled_at": "2019-08-24T14:15:22Z",
  "next_crawl_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "warning_message": "string",
  "error_message": "string",
  "exclusion_patterns": [
    "string"
  ]
}